Skip to main content
GET
/
v5
/
accounting
/
glAccounts
Get list of accounts
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/accounting/glAccounts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountNo": "<string>",
      "parentAccountNo": "<string>",
      "type": "ASSET",
      "name": "<string>",
      "id": 123,
      "status": "ACTIVE",
      "level": 123,
      "hasChilds": true,
      "taxCategory": "ADVERTISING",
      "assetType": "CASH",
      "liabilityType": "AP",
      "equityType": "CAPITAL",
      "expenseType": "MERCHANT_FEE",
      "incomeType": "SERVICE_INCOME",
      "systemGenerated": true,
      "customData": {}
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.tight.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

lastUpdatedDate
string

Date filter - returns all records modified after the specified date

Query Parameters

type
enum<string>[]

Type filter - returns all accounts for the specified types. Null or empty list will return all accounts.

Available options:
ASSET,
LIABILITY,
EQUITY,
INCOME,
COGS,
EXPENSE,
OTHER_INCOME,
OTHER_EXPENSE,
SUSPENSE
status
enum<string>[]

Status filter - returns all accounts for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE
leavesOnly
boolean

leavesOnly filter - if true, only return leaf accounts. Defaults to true.

query
string

Query filter - returns all accounts whose names contain the specified query parameter. For example, a search parameter of "Payable" would return accounts with the names "Accounts Payable" and "Loan Payable".

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate